@prompt C:\fake$G
@echo off

rem Hard cmd tests
rem Only include tests that fail in Wine in this file
rem Each test should include the number of the wine bug it's testing for
rem Tests should be in order by bug number.
rem
rem Note: test scripts must start with "@prompt C:\fake$G" so
rem it doesn't matter what directory they're run from.
rem Unforunately we need to turn echo off for now because
rem Wine doesn't output a blank line before each prompt like Windows does.

rem Bug 1336
rem "WCMD : Delete a read-only file says not found"
rem That bug is fixed, but this test fails because our attrib's output doesn't match Windows' yet.
echo foo > readonly.dat
attrib +r readonly.dat
attrib readonly.dat
del readonly.dat
attrib -r readonly.dat
del readonly.dat

rem Bug 2599 
rem "It appears that tabs are not parsed properly by wcmd?"
rem That bug is fixed, but this test fails because our type seems to output an extra newline.
echo foo > bug_2599.dat
rem note: all whitespace in following line are tab characters, not space
copy	bug_2599.dat	bug_2599b.dat > nul
type bug_2599b.dat
del bug_2599*.dat

rem Bug 15359
rem fixme: figure out how to test ~dp0
rem First, show what happens without delims= or ~f
FOR /f %%I in ("c:\blah blah blah\..") do echo %%I
rem Then add delims= (don't break spaces)
FOR /f "delims=" %%I in ("c:\blah blah blah\..") do echo %%I
rem Finally add ~f (absolutify)
FOR /f "delims=" %%I in ("c:\blah blah blah\..") do echo %%~fI

rem Bug 18346
rem Test escaping with caret
rem First, test escaping newline
echo ^
echo foo
rem Now test escaping some punctuation
echo ^^
echo ^|
echo ^>
echo ^<

rem Bug 21046
rem Test if operators
IF 0 == 0 echo foo1
IF 0 EQU 0 echo foo2
IF 0 NEQ 1 echo foo3
IF 0 LSS 1 echo foo4
IF 0 LEQ 1 echo foo5
IF 0 GTR -1 echo foo6
IF 0 GEQ -1 echo foo7
IF NOT foo==bar echo foo8

rem echo Done
cmd /c exit 0
